Service Management
All operations require authentication.
List servicesBeta
Returns your services.
Query parameters
Filter resources on IAM tags
Response
API path under which the service is managed
/dedicated/nasha/storage/nashaService creation date
IAM resource metadata
Unique identifier of the service
Service status
creatingdeleteddeletingerrorreopeningrunningsuspendedsuspendingReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha \
-H "authorization: Bearer $OVH_TOKEN"[ { "apiPath": "/dedicated/nasha", "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "status": "creating" }]
Get a serviceBeta
Returns the service and its status.
Path parameters
Service name
Response
API path under which the service is managed
/dedicated/nasha/storage/nashaService creation date
IAM resource metadata
Unique identifier of the service
Service status
creatingdeleteddeletingerrorreopeningrunningsuspendedsuspendingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "apiPath": "/dedicated/nasha", "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "status": "creating"}
Get service informationBeta
Returns contacts, creation and expiration dates, and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Launch a contact change procedureBeta
Starts the change of the admin, tech or billing contact and returns the request IDs.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Ask for the termination of your serviceBeta
Emails a termination token to the admin contact, to use with Confirm service termination.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm service terminationBeta
Confirms the termination with the emailed token and records your reason.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Update service informationBeta
Changes how the service renews; renew is the only editable field.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ storage/ nasha/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"